package de.heatup.ui.actionPanel;

import de.heatup.timers.HardwareResetTimers;

public class HardewareManipulate {
	private static boolean h00=false;
	private static boolean h01=false;
	private static boolean h02=false;
	private static boolean h03=false;
	private static boolean h04=false;
	private static boolean h05=false;
	private static boolean h06=false;
	private static boolean h07=false;
	private static boolean h08=false;
	private static boolean h09=false;
	public static void setHardware(char c){
		switch(c){
		case '0':
			h00=true;
			HardwareResetTimers.setManipulated(c);
			break;
		case '1':
			h01=true;
			HardwareResetTimers.setManipulated(c);
			break;
		case '2':
			h02=true;
			HardwareResetTimers.setManipulated(c);
			break;
		case '3':
			h03=true;
			HardwareResetTimers.setManipulated(c);
			break;
		case '4':
			h04=true;
			HardwareResetTimers.setManipulated(c);
			break;
		case '5':
			h05=true;
			HardwareResetTimers.setManipulated(c);
			break;
		case '6':
			h06=true;
			HardwareResetTimers.setManipulated(c);
			break;
		case '7':
			h07=true;
			HardwareResetTimers.setManipulated(c);
			break;
		case '8':
			h08=true;
			HardwareResetTimers.setManipulated(c);
			break;
		case '9':
			h09=true;
			HardwareResetTimers.setManipulated(c);
			break;
		}
	}
	public static void resetHardware(char c){
		switch(c){
		case '0':
			h00=false;
			break;
		case '1':
			h01=false;
			break;
		case '2':
			h02=false;
			break;
		case '3':
			h03=false;
			break;
		case '4':
			h04=false;
			break;
		case '5':
			h05=false;
			break;
		case '6':
			h06=false;
			break;
		case '7':
			h07=false;
			break;
		case '8':
			h08=false;
			break;
		case '9':
			h09=false;
			break;
		}
	}
	public static boolean getHardware(char c){
		switch(c){
		case '0':
			return h00;
		case '1':
			return h01;
		case '2':
			return h02;
		case '3':
			return h03;
		case '4':
			return h04;			
		case '5':
			return h05;			
		case '6':
			return h06;			
		case '7':
			return h07;			
		case '8':
			return h08;			
		case '9':
			return h09;
		default:
			return false;
		}
	}
	public static void reinitialisieren(){
		h00=false;
		h01=false;
		h02=false;
		h03=false;
		h04=false;
		h05=false;
		h06=false;
		h07=false;
		h08=false;
		h09=false;
	}
}
